[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomComboBoxEx.Notification

Performs actions needed when the specified component is added to or removed from the control.

## Declaration

Source position: comboex.pas line 159

`protected procedure TCustomComboBoxEx.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation performed for the specified component.

## Description

Notification is an overridden method in TCustomComboBoxEx. It calls the inherited method on entry to handle notifications in ancestor classes and their child components. It ensures that the reference in Images is set to Nil when the component is removed from the control.

## See also

TCustomComboBoxEx.Images |  | Contains images which can be displayed for items defined in the ItemsEx property.
TControl.Notification |  | Notification handler for insertion or deletion of components.
TComponent